Skip to main content

Get Product Details

GET /api/v1/products/{product} Returns details for a single product.

Path Parameters

ParameterTypeRequiredDescription
productintegerThe product ID

Example Response

{
  "data": {
    "id": 1,
    "name": "Product Name",
    "url": "https://example.com/product",
    "description": "Product description",
    "short_description": "Short description",
    "notes": "Additional notes",
    "category_name": "Games",
    "brand_name": "Steam",
    "brand_id": "BRAND123",
    "images": ["image1.jpg", "image2.jpg"],
    "region": "Global",
    "channel": "API",
    "tags": ["tag1", "tag2"],
    "isPermanentOutOfStock": false,
    "discount_percentage": 50,
    "variant": {
      "id": 1,
      "name": "Standard Edition",
      "price": {
        "amount": "5999",
        "currency": "USD",
        "formatted": "$59.99",
        "decimal": "59.99",
        "localized_decimal": "59.99"
      },
      "face_value": {
        "amount": "6999",
        "currency": "USD",
        "formatted": "$69.99",
        "decimal": "69.99",
        "localized_decimal": "69.99"
      }
    },
    "created_at": "2023-01-01T12:00:00+00:00",
    "updated_at": "2023-01-01T12:00:00+00:00"
  }
}

Responses

StatusDescription
200 OKSuccessful operation
404 Not FoundProduct not found

200 — Product Details

{
  "data": {
    "id": 1,
    "name": "Product Name",
    "url": "https://example.com/product",
    "description": "Product description",
    "short_description": "Short description",
    "notes": null,
    "category_name": "Games",
    "brand_name": "Steam",
    "brand_id": "BRAND123",
    "images": ["image1.jpg", "image2.jpg"],
    "region": "Global",
    "channel": "API",
    "tags": ["tag1", "tag2"],
    "isPermanentOutOfStock": false,
    "discount_percentage": 50,
    "variant": {
      "id": 1,
      "name": "Standard Edition",
      "price": {
        "amount": "5999",
        "currency": "USD",
        "formatted": "$59.99",
        "decimal": "59.99",
        "localized_decimal": "59.99"
      },
      "face_value": {
        "amount": "6999",
        "currency": "USD",
        "formatted": "$69.99",
        "decimal": "69.99",
        "localized_decimal": "69.99"
      }
    },
    "created_at": "2023-01-01T12:00:00+00:00",
    "updated_at": "2023-01-01T12:00:00+00:00"
  }
}